.custom-select-container {
    position: relative;
    flex: 1;
}

.custom-select {
    position: relative;
    width: 100%;
}

.custom-select-button {
    width: 100%;
    background-color: #868686;
    color: #D2D2D2;
    border-radius: 9px;
    padding: 11px 23px;
    font-family: Montserrat;
    font-weight: 500;
    font-size: 14px;
    line-height: 120%;
    border: none;
    cursor: pointer;
    text-align: left;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.custom-select-button::after {
    content: '';
    width: 0;
    height: 0;
    border-left: 5px solid transparent;
    border-right: 5px solid transparent;
    border-top: 5px solid #D2D2D2;
    transition: transform 0.2s ease;
    margin-left: 10px;
    flex-shrink: 0;
}

.custom-select.open .custom-select-button::after {
    transform: translateY(-50%) rotate(180deg);
}

.custom-select-dropdown {
    position: absolute;
    top: 100%;
    left: 0;
    right: 0;
    background-color: #868686;
    border-radius: 0 0 9px 9px;
    margin-top: 2px;
    display: none;
    z-index: 100;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    max-height: 200px;
    overflow-y: auto;
}

.custom-select.open .custom-select-dropdown {
    display: block;
}

.custom-select-option {
    padding: 11px 23px;
    cursor: pointer;
    color: #D2D2D2;
    transition: background-color 0.2s ease;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    font-family: Montserrat;
    font-weight: 500;
    font-size: 14px;
    line-height: 120%;
}

.custom-select-option:hover {
    background-color: #777777;
}

[data-placeholder] {
    color: white;
}

.custom-select.disabled {
    opacity: 0.5;
    pointer-events: none;
}

@media screen and (max-width: 992px) {
    .products-with-reviews__top .unity-product-review {
        width: 227px;
        flex-shrink: 0;
    }
}

@media screen and (max-width: 400px) {
    .products-with-reviews__top .unity-product-review {
        width: 177px;
        flex-shrink: 0;
    }
}

.tile-review__reviews-page {
  margin-top: 25px;
}

@media screen and (max-width: 992px) {
  .tile-review__reviews-page {
    margin-top: 35px;
    grid-template-columns: repeat(3, 1fr);
  }
}

@media screen and (max-width: 600px) {
  .tile-review__reviews-page {
    grid-template-columns: repeat(2, 1fr);
    gap: 10px;
  }
}

.reviews-page-content .tile-review__reviews-page {
    margin-bottom: 50px;
}

@media screen and (max-width: 600px) {
    .reviews-page-content .tile-review__reviews-page {
        margin-bottom: 25px;
    }
}
